Name: libcomedi
Version: 0.7.21
Release: alt4

Summary: Data Acquisition library for the Comedi DAQ driver
Summary(ru_RU.KOI8-R):      Comedi DAQ.
License: LGPL
Group: Development/Other
Url: http://www.comedi.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.comedi.org/comedi/download/%name-%version.tar.bz2
Source1: http://www.comedi.org/comedi/download/comedi_examples.tar.gz

# Automatically added by buildreq on Wed Jun 09 2004
BuildRequires: flex gcc-c++ hostinfo libstdc++-devel python-base python-dev python-modules-encodings

%description
Comedilib is the library for the Comedi data acquisition driver
for Linux.  It allows Linux processes to acquire data from
supported DAQ cards, such as those from National Instruments.

%description -l ru_RU.KOI8-R
Comedilib --       Comedi  Linux.
       
 DAQ, ,  National Instruments.

%package devel
Summary: The files needed for %name application development
Summary(ru_RU.KOI8-R): ,       %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains the necessary include files
for developing applications with %name

%description devel -l ru_RU.KOI8-R
 %name-devel    
  ,   %name.

%package devel-static
Summary: Static library for %name application development
Summary(ru_RU.KOI8-R):        %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The %name-devel-static package contains the static library
for developing applications with %name
%description devel-static -l ru_RU.KOI8-R
 %name-devel-static   
  ,   %name.

%prep
%setup -q
# unpack examples
#tar xfz %SOURCE1
#%__subst 's|comedi_data_read_n|comedi_data_read_n_obsolete|' ./comedi_examples/monitor/sv.c
%__subst 's|demo doc|demo|' Makefile.in

%build
%configure --localstatedir=$RPM_BUILD_ROOT/var/lib
%make
#cd comedi_examples/monitor
#	make
#cd -

%install
%makeinstall
#install -d $RPM_BUILD_ROOT/%_datadir/%name/examples
#install -s -D -m 755 comedi_examples/monitor/monitor $RPM_BUILD_ROOT/%_bindir/comedi_monitor
mv $RPM_BUILD_ROOT/%_datadir/comedilib $RPM_BUILD_ROOT/%_datadir/%name

#cd comedi_examples
#cp --target-directory $RPM_BUILD_ROOT/%_datadir/%name/examples/$i * -R
#cd -
#install -d $RPM_BUILD_ROOT/%_datadir/%name/demo/perl
#cd demo
#cp --target-directory $RPM_BUILD_ROOT/%_datadir/%name/demo/$i $(ls | grep -v \\.o) -R
#cd -

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README ChangeLog NEWS
%_libdir/%name-%version.so
%_libdir/python%__python_version/site-packages/*.so
%_libdir/python%__python_version/site-packages/comedi.py
%_sbindir/comedi_*
#%exclude %_bindir/%{name}_monitor
%_bindir/*
%_mandir/man7/*
%_mandir/man8/*

%files devel
#%_bindir/comedi_monitor
%_includedir/comedi*.h
%_libdir/%name.so
%_docdir/%name-%version
%_datadir/%name
#%_mandir/man3/*
#%_datadir/%name-devel/html/*

%files devel-static
%_libdir/%name.a

%changelog
* Wed Jun 09 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7.21-alt4
- disable docs build (for incompatible docbook version)

* Sun Feb 29 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7.21-alt3
- change python entries in spec to universal way
- remove COPYING from doc
- correct license in spec to GPL
- disable example build
- add URL to spec

* Mon Jan 05 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7.21-alt2
- build with gcc 3.3
- cleanup spec

* Wed Oct 01 2003 Vitaly Lipatov <lav@altlinux.ru> 0.7.21-alt1
- new version
- disable all docs for problem with docbook utils

* Sat Nov 30 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.19-alt1
- add install forget libcomedi.so link to devel package
- add comedi_monitor build for examples
- use install in Makefile

* Mon Nov 11 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.19-alt0.3
- cleanup spec
- main package split in devel and devel-static packages

* Sun Nov 03 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.19-alt0.1
- initial build for Sisyphus

* Wed Feb 21 2002 Tim Ousley <tim.ousley@ni.com>
- initial build of comedilib RPM

